Package org.eclipse.cdt.utils.coff

# Class Coff64.OptionalHeader

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64.OptionalHeader

Enclosing class:
  `Coff64`

public static class Coff64.OptionalHeader extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Coff64.OptionalHeader.OptionalHeader32`
`static class`
`Coff64.OptionalHeader.OptionalHeader64`

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`magic`
`Coff64.OptionalHeader.OptionalHeader32`
`optionalHeader32`
`Coff64.OptionalHeader.OptionalHeader64`
`optionalHeader64`

## Constructor Summary

Constructors
Constructor
Description
`OptionalHeader(RandomAccessFile file)`
`OptionalHeader(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSize()`
`boolean`
`is64Bits()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### magic

public short magic

### optionalHeader64

public Coff64.OptionalHeader.OptionalHeader64 optionalHeader64

### optionalHeader32

public Coff64.OptionalHeader.OptionalHeader32 optionalHeader32

## Constructor Details

### OptionalHeader

public OptionalHeader(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### OptionalHeader

public OptionalHeader(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### is64Bits

public boolean is64Bits()

### getSize

public int getSize()